%xi=[-1,-7/9,-5/9,-3/9,-1/9,1/9,3/9,5/9,7/9,1];
%xi=[-1, -0.6,-0.2, 0.2, 0.6,1];
N=10;
xi=linspace(-1,1,N+1);
yi=1./(1+25*(xi.^2));
nx=1;
px=0;
for k=1:length(xi) 
    for l=1:length(xi)
        if k~=l
            x=sym('x');
            term1=(x-xi(l));
            term2=(xi(k)-xi(l));
            nx=nx*term1/term2;
        end
    end
    nx=nx*yi(k);
    px=px+nx;
    nx=1;
end
px
disp('Lagrange interpolating polynomial;')
px=simplify(px)

hold on;
grid on;
plot(xi,yi,'or')
fplot(px,[min(xi),max(xi)],'b')

%disp('Evaluate px at p:')
%p=7
%y=subs(px,x,p)
%plot(p,y,'*b')
